#ifndef __DISPLAYVOLUME_H
#define __DISPLAYVOLUME_H

#include <vdr/skins.h>
#include "scroll.h"
#include "setup.h"

class cSkinElchiDisplayVolume : public cSkinDisplayVolume {
private:
    cOsd *osd;
    static cBitmap bmMute, bmVolume;
    const cFont *font;
    int lh, lhh;
    int mute, current;
    bool noflush, changed, message;
    cCharScroll MessageScroll;
public:
    cSkinElchiDisplayVolume(void);
    virtual ~cSkinElchiDisplayVolume();
    virtual void SetVolume(int Current, int Total, bool Mute);
    virtual void SetMessage(eMessageType Type, const char *Text);//it not defined in skins.h but is really called
    virtual void Flush(void);
  };

#endif //__DISPLAYVOLUME_H
